<div class="container">
<div class="row">
  <div class="col">
    <nb-card class="card">
      <nb-card-header>Update PUV</nb-card-header>
      <nb-card-body>
        <form role="form" (ngSubmit)="Submit()">
          <div class="form-group">
            <label for="" class="label">Type</label><br>
            <nb-select [(ngModel)]="type" [ngModelOptions]="{standalone: true}" placeholder="Select type" [(selected)]="selectedType">
              <nb-option value="Jeep" (click)="show = true" (click)="isDisabled = false">Jeep</nb-option>
              <nb-option value="Bus" (click)="show = false">Bus</nb-option>
            </nb-select>
          </div>
          <ng-container *ngIf="show">
          <div class="form-group">
            <label for="" class="label">Code</label>
            <input [disabled]="isDisabled" type="text" [(ngModel)]="code" [ngModelOptions]="{standalone: true}" nbInput fullWidth
              placeholder="code">
          </div>
          </ng-container>

          <!-- Bug in updating the routes. If there are no routes updated it must display the original -->
          <div class="form-group">
            <label for="" class="label">Route</label><br>
            <input type="text" disabled nbInput fullWidth placeholder="Please select the route of this vehicle through the map below.">
          </div>
          <div class="form-group">
            <label for="" class="label">Status</label><br>
            <nb-select [(ngModel)]="status" [ngModelOptions]="{standalone: true}" placeholder="Select status" [(selected)]="selectedStatus">
              <nb-option value="temporary">Temporary</nb-option>
              <nb-option value="permanent">Permanent</nb-option>
            </nb-select>
          </div>
          <div class="pt-5 text-right">
            <button type="submit" class="btn btn-outline-warning">Save</button>
          </div>
        </form>
      </nb-card-body>
    </nb-card>
  </div>
  <div class="col" style="padding-left: -10px;">
    <nb-card class="inline-form-card">
      <nb-card-body>
        <p style="padding-top:5px;font-size: 20px;color: red;font-family: system-ui">Note : Please select the route of
          this vehicle through the map below.</p>
        <google-map height="435px" width="73rem" (mapClick)="addMarker($event)">
          <map-marker #marker *ngFor="let marker_position of marker_positions" [position]="marker_position"
            [options]="marker_options" (mapClick)="openInfoWindow(marker)">
          </map-marker>
          <!-- (mapRightclick)="removeLastMarker()" -->
          <map-polyline #poly [path]="paths" [options]="poly">
          </map-polyline>
          <map-info-window>{{place}}</map-info-window>
        </google-map>
        <div>
          <button class="btn btn-outline-warning" (click)="removeMarkers()">Clear All Markers</button>
        </div>
        </nb-card-body>
    </nb-card>
  </div>
</div>
</div>